#!/bin/bash

# Copyright (C) 2006-2011 Oracle. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, version 2.  This program is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.  You should have received a copy of the GNU
# General Public License along with this program; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 021110-1307, USA.

#======================================================================================
# More common function from the network configuration scripts should moved to this file
#======================================================================================
CONFIGDIR="/etc/sysconfig/network-scripts/"
infiniband_device() {
    local netdev="$1"
    /bin/ls /sys/class/net/${netdev}/device/infiniband* >/dev/null 2>&1
    if [ $? -eq 0 ]; then
        return 0
    else
        return 1
    fi
}
bond_device() {
    local bonddev="$1"
    if [ "${bonddev}" == "bond0" ] || [ "${bonddev}" == "bond1" ] || [ "${bonddev}" == "bond2" ] ||
       [ "${bonddev}" == "bond3" ] || [ "${bonddev}" == "bond4" ] || [ "${bonddev}" == "bond5" ] ||
       [ "${bonddev}" == "bond6" ] || [ "${bonddev}" == "bond7" ] || [ "${bonddev}" == "bond8" ] ||
       [ "${bonddev}" == "bond9" ]; then
       return 0
     else
       return 1
    fi
}



